# Get Orders

## Get Orders

> \*\*Rate limit:\*\* 100 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"orders_app__models__order__Order__StatusChoices":{"enum":["open","shipped","cancelled","returned","mixed"],"title":"StatusChoices","type":"string"},"orders_app__models__order_item__OrderItem__StatusChoices":{"enum":["open","shipped","cancelled","returned"],"title":"StatusChoices","type":"string"},"FulfillmentTypes":{"enum":["dropshipping","fulfillment_by_marketplace"],"title":"FulfillmentTypes","type":"string"},"PagedGetOrderSchema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/GetOrderSchema"},"title":"Items","type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["items","pagination"],"title":"PagedGetOrderSchema","type":"object"},"GetOrderSchema":{"properties":{"order_items":{"description":"List of order items","items":{"$ref":"#/components/schemas/OrderItemSchema"},"title":"Order items","type":"array"},"order_number":{"description":"Order number of the order","title":"Order number","type":"string"},"carrier_key":{"description":"Carrier key from the Carrier model.","title":"Carrier Key","type":"string"},"cost_without_tax":{"description":"Cost of the order without tax in the smallest currency unit (e.g. cents for Euro)","title":"Cost without tax","type":"integer"},"cost_with_tax":{"description":"Cost of the order with tax in the smallest currency unit (e.g. cents for Euro)","title":"Cost with tax","type":"integer"},"delivery_document_url":{"title":"Delivery Document Url","type":"string"},"status":{"$ref":"#/components/schemas/orders_app__models__order__Order__StatusChoices"},"customer_key":{"description":"Reference key of the customer (MAPI: customer_key)","maxLength":255,"title":"Customer Key","type":"string"},"shop":{"title":"Shop","type":"integer"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"updated_at":{"format":"date-time","title":"Updated At","type":"string"},"fulfillment_type":{"default":"dropshipping","description":"Fulfillment type","maxLength":255,"title":"Fulfillment Type","type":"string"},"payment_method":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Payment method","title":"Payment Method"},"billing_street":{"description":"Billing address","maxLength":255,"title":"Billing Street","type":"string"},"billing_zip_code":{"description":"Billing zip code","maxLength":255,"title":"Billing Zip Code","type":"string"},"billing_city":{"description":"Billing city","maxLength":255,"title":"Billing City","type":"string"},"billing_country_code":{"description":"Billing country code","maxLength":2,"title":"Billing Country Code","type":"string"},"billing_recipient_gender":{"anyOf":[{"maxLength":1,"type":"string"},{"type":"null"}],"description":"Gender of the recipient","title":"Billing Recipient Gender"},"billing_recipient_first_name":{"description":"First name of the recipient","maxLength":255,"title":"Billing Recipient First Name","type":"string"},"billing_recipient_last_name":{"description":"Last name of the recipient","maxLength":255,"title":"Billing Recipient Last Name","type":"string"},"billing_additional":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Additional billing information","title":"Billing Additional"},"shipping_street":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Shipping address","title":"Shipping Street"},"shipping_zip_code":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Shipping zip code","title":"Shipping Zip Code"},"shipping_city":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Shipping city","title":"Shipping City"},"shipping_country_code":{"anyOf":[{"maxLength":2,"type":"string"},{"type":"null"}],"description":"Shipping country","title":"Shipping Country Code"},"shipping_additional":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"description":"Additional shipping information","title":"Shipping Additional"},"shipping_collection_point_key":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Shipping collection point key","title":"Shipping Collection Point Key"},"shipping_collection_point_type":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Shipping collection point type","title":"Shipping Collection Point Type"},"shipping_collection_point_description":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Shipping collection point description","title":"Shipping Collection Point Description"},"customer_phone":{"anyOf":[{"maxLength":50,"type":"string"},{"type":"null"}],"default":"","description":"Customer phone number for collection point delivery notifications","title":"Customer Phone"},"customer_email":{"anyOf":[{"maxLength":255,"type":"string"},{"type":"null"}],"default":"","description":"Customer email address for collection point delivery notifications","title":"Customer Email"},"shipping_recipient_gender":{"anyOf":[{"maxLength":1,"type":"string"},{"type":"null"}],"description":"Gender of the recipient","title":"Shipping Recipient Gender"},"shipping_recipient_first_name":{"description":"First name of the recipient","maxLength":255,"title":"Shipping Recipient First Name","type":"string"},"shipping_recipient_last_name":{"description":"Last name of the recipient","maxLength":255,"title":"Shipping Recipient Last Name","type":"string"},"currency_code":{"description":"Currency code","maxLength":3,"title":"Currency Code","type":"string"}},"required":["order_items","order_number","carrier_key","cost_without_tax","cost_with_tax","delivery_document_url","status","customer_key","shop","created_at","updated_at","billing_street","billing_zip_code","billing_city","billing_country_code","billing_recipient_first_name","billing_recipient_last_name","shipping_recipient_first_name","shipping_recipient_last_name","currency_code"],"title":"GetOrderSchema","type":"object"},"OrderItemSchema":{"properties":{"return_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Return Tracking Key"},"shipment_tracking_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipment Tracking Key"},"sku":{"description":"SKU of the product variant","title":"SKU","type":"string"},"status":{"$ref":"#/components/schemas/orders_app__models__order_item__OrderItem__StatusChoices"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"vat":{"default":19,"description":"The tax percentage","title":"Vat","type":"number"},"price_without_tax":{"description":"Price of the product excluding tax in the smallest currency unit (e.g. cents for Euro)","title":"Price Without Tax","type":"integer"},"price_with_tax":{"description":"Price of the product including tax in the smallest currency unit (e.g. cents for Euro)","title":"Price With Tax","type":"integer"},"custom_data":{"anyOf":[{"type":"object"},{"type":"null"}],"description":"Custom data for the order item","title":"Custom Data"}},"required":["return_tracking_key","shipment_tracking_key","sku","status","price_without_tax","price_with_tax"],"title":"OrderItemSchema","type":"object"},"Pagination":{"properties":{"per_page":{"description":"Number of items per page.","exclusiveMinimum":0,"title":"Per Page","type":"integer"},"page":{"anyOf":[{"exclusiveMinimum":0,"type":"integer"},{"type":"null"}],"description":"Page number (null in cursor mode).","title":"Page"},"pages":{"anyOf":[{"minimum":0,"type":"integer"},{"type":"null"}],"description":"Total pages (null in cursor mode).","title":"Pages"},"total":{"anyOf":[{"minimum":0,"type":"integer"},{"type":"null"}],"description":"Total count (null in cursor mode).","title":"Total"},"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL for next page (null in cursor mode).","title":"Next"},"prev":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL for previous page (null in cursor mode).","title":"Prev"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Opaque cursor for next page when using cursor-based pagination.","title":"Next Cursor"}},"required":["per_page"],"title":"Pagination","type":"object"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/orders/":{"get":{"operationId":"scapi_app_endpoints_order_api_get_orders","summary":"Get Orders","parameters":[{"in":"query","name":"order_number","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Order number to search for.","title":"Order number"},"required":false,"description":"Order number to search for."},{"in":"query","name":"customer_key","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Customer key to search for.","title":"Customer key"},"required":false,"description":"Customer key to search for."},{"in":"query","name":"carrier_key","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Carrier key of the order to filter by. Available carrier keys can be retrieved from the Carrier model (active carriers only).","title":"Carrier Key"},"required":false,"description":"Carrier key of the order to filter by. Available carrier keys can be retrieved from the Carrier model (active carriers only)."},{"in":"query","name":"shop_country","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Shop country to search for.","title":"Shop country"},"required":false,"description":"Shop country to search for."},{"in":"query","name":"order_status","schema":{"anyOf":[{"$ref":"#/components/schemas/orders_app__models__order__Order__StatusChoices"},{"type":"null"}],"description":"Status of the order to filter by. Choose from: \"open\", \"shipped\", \"cancelled\", \"returned\", \"mixed\".","title":"Status"},"required":false,"description":"Status of the order to filter by. Choose from: \"open\", \"shipped\", \"cancelled\", \"returned\", \"mixed\"."},{"in":"query","name":"order_item_status","schema":{"anyOf":[{"$ref":"#/components/schemas/orders_app__models__order_item__OrderItem__StatusChoices"},{"type":"null"}],"description":"Status of the order item to filter by. Choose from: \"open\", \"shipped\", \"cancelled\", \"returned\"."},"required":false,"description":"Status of the order item to filter by. Choose from: \"open\", \"shipped\", \"cancelled\", \"returned\"."},{"in":"query","name":"orders_from","schema":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Orders from date to filter by.","title":"Orders from"},"required":false,"description":"Orders from date to filter by."},{"in":"query","name":"orders_to","schema":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Orders to date to filter by.","title":"Orders to"},"required":false,"description":"Orders to date to filter by."},{"in":"query","name":"fulfillment_type","schema":{"anyOf":[{"$ref":"#/components/schemas/FulfillmentTypes"},{"type":"null"}],"description":"Fulfillment type to filter by.","title":"Fulfillment type"},"required":false,"description":"Fulfillment type to filter by."},{"in":"query","name":"page","schema":{"default":1,"description":"Page number to retrieve items from.","minimum":1,"title":"Page","type":"integer"},"required":false,"description":"Page number to retrieve items from."},{"in":"query","name":"per_page","schema":{"default":20,"description":"Number of items per page.","maximum":100,"minimum":1,"title":"Per Page","type":"integer"},"required":false,"description":"Number of items per page."},{"in":"query","name":"cursor","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Opaque cursor from previous response for cursor-based pagination. When provided, omit page or use page=1.","title":"Cursor"},"required":false,"description":"Opaque cursor from previous response for cursor-based pagination. When provided, omit page or use page=1."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedGetOrderSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 100 requests per minute","tags":["Orders"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.partner.aboutyou.com/api/orders-and-shipment/get-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
